Bug 629326 - Review Request: mysql-workbench - A MySQL visual database modeling, administration and querying tool.
Summary: Review Request: mysql-workbench - A MySQL visual database modeling, administr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Liang Suilong
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 521152 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-01 16:35 UTC by Remi Collet
Modified: 2010-10-28 06:22 UTC (History)
7 users (show)

Fixed In Version: mysql-workbench-5.2.29-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-22 18:05:46 UTC
Type: ---
liangsuilong: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
mysql-workbench.spec (8.43 KB, text/x-rpm-spec)
2010-09-27 15:45 UTC, Liang Suilong
no flags Details
A new spec for MySQL Workbench (8.42 KB, text/x-rpm-spec)
2010-09-27 15:50 UTC, Liang Suilong
no flags Details

Description Remi Collet 2010-09-01 16:35:54 UTC
Spec URL: http://github.com/remicollet/remirepo/raw/master/mysql-workbench/mysql-workbench.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/mysql-workbench-5.2.27-1.remi.src.rpm
Description:
MySQL Workbench provides Database administrators and developers 
an integrated tools environment for:
* Database Design and Modeling
* SQL Development (replacing MySQL Query Browser)
* Database Administration (replacing MySQL Administrator)


All bundled and available as shared libs have been removed.
Exception for scintilla/silvercity which are patched version or for which upstream doesn't provides shared lib and doesn't care about ABI stability have been discussed on devel ML.

Comment 1 Remi Collet 2010-09-01 16:39:30 UTC
*** Bug 521152 has been marked as a duplicate of this bug. ***

Comment 3 Liang Suilong 2010-09-15 10:20:36 UTC
I try to build it for rawhide on Koji. It failed. 

Koji Result:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2468891

I build mysql-workbench on f13 x86_64. I use rpmlint to test RPM. It shows several warnings:

[fedora@fedora-desktop ~]$ rpmlint /home/fedora/rpmbuild/RPMS/x86_64/mysql-workbench-5.2.27-1.fc13.x86_64.rpm 
mysql-workbench.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mysql-workbench/libwbscintilla.so
mysql-workbench.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mysql-workbench/libmforms.so
mysql-workbench.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mysql-workbench/libmdcanvas.so
mysql-workbench.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mysql-workbench/libvsqlitepp.so
mysql-workbench.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mysql-workbench/libsqlide.so
mysql-workbench.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mysql-workbench/liblinux_utilities.so
mysql-workbench.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mysql-workbench/libmdcanvasgtk.so
mysql-workbench.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mysql-workbench/libcdbc.so
mysql-workbench.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mysql-workbench/libgrt.so
mysql-workbench.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mysql-workbench/libsqlparser.so
mysql-workbench.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mysql-workbench/libwbbase.so
mysql-workbench.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mysql-workbench/libwbpublic.so
mysql-workbench.x86_64: W: no-manual-page-for-binary mysql-workbench-bin
mysql-workbench.x86_64: W: no-manual-page-for-binary mysql-workbench
1 packages and 0 specfiles checked; 0 errors, 14 warnings.
[fedora@fedora-desktop ~]$ 

You should add them into the package if mysql-workbench has manuals. If it has not, you can ignore these warnings. 

The other warning, I do not know whether these libraries should be moved to devel package. Are they for writing mysql-workbench plugin? Or Does mysql-workbench rely on these libraries?

Comment 4 Liang Suilong 2010-09-15 16:13:30 UTC
Koji build for Fedora 13 succeeded.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2469421

Comment 5 Remi Collet 2010-09-15 18:38:38 UTC
> no-manual-page-for..
No man in provided by upstream.

> devel-file-in-non-devel-package
This library are dlopen by workbench.
No -devel are needed. For now, plugins are only python / lua script. No API provided.

I will look at rawhide build issue ASAP.

Comment 6 Liang Suilong 2010-09-17 15:26:29 UTC
(In reply to comment #5)
> > no-manual-page-for..
> No man in provided by upstream.
> 
> > devel-file-in-non-devel-package
> This library are dlopen by workbench.
> No -devel are needed. For now, plugins are only python / lua script. No API
> provided.
>

So I feels this report looks quite strange. I do not trust all the things of rpmlint in this report. 
 
> I will look at rawhide build issue ASAP.

Waiting for your good news.

Comment 8 Liang Suilong 2010-09-19 08:13:05 UTC
Anyone except me approve CJK bug in Linux platform?

I found it, but I can not make sure it. Maybe the bundled library sinctilla cause the problem.

Comment 9 Liang Suilong 2010-09-21 16:45:00 UTC
I found there are some bundled libraries that still exist in the source code, such as tinyxml and vsqlite++. Should we remove them? Tinyxml stays at Fedora repository. But vsqlite++ does not. Or are they used for Windows build or Mac build?

And MySQL Workbench 5.2.28 has released. We should update it.

Comment 11 Remi Collet 2010-09-21 17:48:08 UTC
(In reply to comment #8)
> Anyone except me approve CJK bug in Linux platform?
> 
> I found it, but I can not make sure it. Maybe the bundled library sinctilla
> cause the problem.

CJK ? do you mean http://en.wikipedia.org/wiki/CJK

I think such a bug souldn't block a review, but should be, at least, reported upstream.

(In reply to comment #9)
> tinyxml and vsqlite++.

:( it seems I have miss that ones...

Comment 12 Liang Suilong 2010-09-21 18:55:58 UTC
(In reply to comment #11)
> (In reply to comment #8)
> > Anyone except me approve CJK bug in Linux platform?
> > 
> > I found it, but I can not make sure it. Maybe the bundled library sinctilla
> > cause the problem.
> 
> CJK ? do you mean http://en.wikipedia.org/wiki/CJK
> 
> I think such a bug souldn't block a review, but should be, at least, reported
> upstream.

Yes,I mean CJK is Chinese, Japanese and Korean fonts. I will report upstream soon.

> 
> (In reply to comment #9)
> > tinyxml and vsqlite++.
> 
> :( it seems I have miss that ones...

I also find out library/canvas directory. We need to check whether it is a bundled library. 

If vsqlite++ is needed, we have to open a new review request for it.

Comment 13 Remi Collet 2010-09-24 16:34:53 UTC
One little step : use system tinyxml

http://github.com/remicollet/remirepo/commit/35b801ad8ebd897ffbcfe78787d002ea9de0c9df

Comment 14 Liang Suilong 2010-09-25 16:12:22 UTC
(In reply to comment #13)
> One little step : use system tinyxml
> 
> http://github.com/remicollet/remirepo/commit/35b801ad8ebd897ffbcfe78787d002ea9de0c9df

I have tested your new spec. I successfully built it on my local Fedora 13. But on koji it failed because the latest mysql-connector-c++ does not push to the repository.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2488868

Should vsplite++ be separated from mysql-workbench? The project looks dead. The latest update was on Octorber, 2006.

Comment 15 Remi Collet 2010-09-25 16:53:43 UTC
New mysql-connector-c++ is only available in rawhide (will require a buildroot exception, which doesn't seems a good practice for a review)

Yes, I think vsqlite++ should not be separated (I have try to work on it)
- upstream dead
- no shared lib build provided (and the sources looks awful, merges with the sqlite-3.3.4 sources for 0.2, use a bundled and obsolete scons version for 0.3)

I really don't want to maintain such a package and prefer we consider "MySQL" as the upstream for this lib and let them fix it if needed.

Comment 16 Liang Suilong 2010-09-27 11:15:16 UTC
OK. Waiting that bodhi pushes the latest mysql-connector-c++ to repository. I think I can approve the request.

Comment 17 Chen Lei 2010-09-27 15:05:56 UTC
Some minor issues:

It'll be better to use a mirror URL(e.g. ftp://sunsite.informatik.rwth-aachen.de/pub/mirror/www.mysql.com/Downloads/MySQLGUITools/mysql-workbench-gpl-5.2.28-src.tar.gz) instead of incomplete Source URL, so that we can use spectool to down and verify source file.

I also suggest to use vitual provides: libGL-devel instead of mesa-libGL-devel.
See rpm -q --whatprovides libGL-devel

Is BuildRequires: uuid-devel really needed for mysql-workbench? It seems BR: libuuid-devel is enough for mysql-workbench.

BuildRequires: lua-devel can be removed from spec, BuildRequires: lua-devel >= 5.1 is enough.

Requires(post):   desktop-file-utilsRequires(postun): desktop-file-utils is only need for EPEL 4.
See https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-database

Comment 18 Chen Lei 2010-09-27 15:10:14 UTC
BuildRequires: libglade2-devel is also useless.

FYI, mysql-connector-c++ 1.1 GA is already released. Can we use formal release instead of bzr snapshot now?

Comment 19 Liang Suilong 2010-09-27 15:45:02 UTC
Created attachment 449933 [details]
mysql-workbench.spec

I edited the spec file. I will test it on Koji soon. Now It is too slow to upload SRPM to koji in my campus network.

Comment 20 Liang Suilong 2010-09-27 15:50:54 UTC
Created attachment 449934 [details]
A new spec for MySQL Workbench

Sorry, forget to remove one of libglade2-devel. I upload a new one.

Comment 21 Remi Collet 2010-09-27 18:13:30 UTC
(In reply to comment #18)

> FYI, mysql-connector-c++ 1.1 GA is already released. Can we use formal release
> instead of bzr snapshot now?

No... :(
The bzr895 is a post 1.1.0 version snapshot, with a new fonction used by MW which is not available in official 1.1.0.

Yes this is a packager nightmare...

Comment 22 Remi Collet 2010-09-27 18:47:31 UTC
> It'll be better to use a mirror URL
yes, why not.

> desktop-file-utilsRequires
Removed as I don't plan to build this for EL-4 ;)

> Is BuildRequires: uuid-devel really needed for mysql-workbench? It seems BR:
libuuid-devel is enough for mysql-workbench.
Only required for fedora < 12 (before the libuuid split)

> BuildRequires: lua-devel can be removed from spec
yes

> libglade2-devel
yes


http://github.com/remicollet/remirepo/commit/eeaab108850261e3c45025653517a9182601d684

Rawhide repo seems broken... :(
http://koji.fedoraproject.org/koji/taskinfo?taskID=2492109
(nothing with MW, just a perl broken dep.)

Comment 23 Liang Suilong 2010-09-28 06:07:11 UTC
(In reply to comment #22)
> > Is BuildRequires: uuid-devel really needed for mysql-workbench? It seems BR:
> libuuid-devel is enough for mysql-workbench.
> Only required for fedora < 12 (before the libuuid split)

But F-11 branch on Koji has been turned off for a long time. I think uuid-devel can be removed.

Comment 24 Remi Collet 2010-09-28 15:56:43 UTC
(In reply to comment #23)

> But F-11 branch on Koji has been turned off for a long time. I think uuid-devel
> can be removed.
Yes, but i prefer to keep conditional stuff to be able to rebuild it for f11, even if this is not for official repository.

Comment 25 Liang Suilong 2010-09-29 23:53:17 UTC
OK. I can not find out you do not push mysql-connector-c++-1.1.0-bzr895 to bodhi for F-13 and F-14. Could you push it now? We can not test to build mysql-workbench on koji. 

Is rawhide buildroot fixed? I am waiting a new correct build on koji. If we build mysql-workbench on koji, I think I can approve it.

Comment 26 Remi Collet 2010-09-30 05:03:28 UTC
Ticket open for buildroot exception
https://fedorahosted.org/rel-eng/ticket/4146

Koji scratch build in rawhide (just launch, can't wait for the result)
http://koji.fedoraproject.org/koji/taskinfo?taskID=2500945

Comment 27 Liang Suilong 2010-09-30 09:49:56 UTC
OK, All the things has done. I approve it.

Comment 28 Remi Collet 2010-09-30 16:24:46 UTC
Thanks for the review.

New Package SCM Request
=======================
Package Name: mysql-workbench
Short Description: A MySQL visual database modeling, administration and querying tool
Owners: remi
Branches: f13 f14 el6
InitialCC:

Comment 29 Kevin Fenzi 2010-10-03 20:28:00 UTC
Git done (by process-git-requests).

Comment 30 Fedora Update System 2010-10-04 18:09:03 UTC
mysql-workbench-5.2.28-3.fc14,mysql-connector-c++-1.1.0-0.3.bzr895.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mysql-workbench-5.2.28-3.fc14,mysql-connector-c++-1.1.0-0.3.bzr895.fc14

Comment 31 Fedora Update System 2010-10-04 18:10:00 UTC
mysql-workbench-5.2.28-3.fc13,mysql-connector-c++-1.1.0-0.3.bzr895.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mysql-workbench-5.2.28-3.fc13,mysql-connector-c++-1.1.0-0.3.bzr895.fc13

Comment 32 Fedora Update System 2010-10-05 05:20:31 UTC
mysql-workbench-5.2.28-3.fc14, mysql-connector-c++-1.1.0-0.3.bzr895.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mysql-workbench mysql-connector-c++'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/mysql-workbench-5.2.28-3.fc14,mysql-connector-c++-1.1.0-0.3.bzr895.fc14

Comment 33 Fedora Update System 2010-10-22 18:05:40 UTC
mysql-workbench-5.2.29-1.fc13, mysql-connector-c++-1.1.0-0.3.bzr895.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2010-10-28 06:22:24 UTC
mysql-workbench-5.2.29-1.fc14, mysql-connector-c++-1.1.0-0.4.bzr895.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.